import Moment from 'com/utils/moment.zh_cn'

export function processWater(water, label){

    const waters = []

    water.forEach( w => {
        let n = {}
        label.forEach( key => {
            if(!!w.data) {
                n[key] = w.data[key]
            }
        } )
        n['key'] = w._id.$oid
        n['time_str'] = Moment(w.timestamp).format('lll')
        n['time'] = Moment(w.timestamp).toDate()
        n['conductivity'] = n['conductivity'] || 20
        waters.push(n)
    } )
    return waters
}

export function processTimeData(dataArr=[], start=new Date(), end=new Date(), step=1) {
    const data_re = []
    for(let i=start.getTime(); i<=end.getTime(); i+=step)
    {
        data_re.push({
            
        })
    }
}

export function generateWaterData(label, count) {
    let data = []
    let start = Moment().subtract(count, "minute")
    for(let _ = 0; _< count; _ ++) {
        let d = {}
        label.forEach((key, i) => {
            d[key] =  Math.sin( _  * _ * _ * 34654  - _ * _ * 54324 + _ * 2345 + 343) + 1 +  Math.random() / 10
            d[key] = parseFloat( d[key].toFixed(3) )
        })
        d.key = Math.round( Math.random() * 10000000 ).toString()
        d['time_str'] = start.add(_, "minute").format('lll')
        d['time'] = start.add(_, "minute").toDate()
        data.push(d)
    }

    return data;
}